#include <stdlib.h>
#include <stdio.h>

/* We are going to write 1K at a time */
#define WRITE_BLOCK	(1024)
#define WRITE_FILE	"/tmp/bigfile"

int main( int argc, char ** argv )
{
  /* open file */
  FILE	* fp = fopen( WRITE_FILE, "w" );
  if( !fp ) /* d'oh! */
    return 1;
  
  /* allocate our buffer */
  char * c = (char *)malloc( WRITE_BLOCK );
  if( !c ) /* d'oh! */
    return 2;
  int written = fwrite( c, 1, WRITE_BLOCK, fp );
  while( written > 0 )
    written = fwrite( c, 1, WRITE_BLOCK, fp );
  fclose( fp );
  free( c );
  return 0;
}
